Subject: Guile doesn't search for libraries installed in /usr/lib64

From: "Stewart, Adam James" <[email-masked]>
Date: Fri, 24 Mar 2017 16:59:27 +0000

Hi,

I'm trying to build Guile 2.2.0 on CentOS 7.3 with GCC 4.8.5. During configure, I see the following error message:

checking for libltdl... no
configure: error: GNU libltdl (Libtool) not found, see README.

I do have libtool installed on my system:

$ which libtool
/usr/bin/libtool
$ libtool --version
libtool (GNU libtool) 2.4.2
Written by Gordon Matzigkeit <[email-masked]>, 1996

Copyright (C) 2011 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

I'm passing the following option to configure:

$ ./configure --with-libltdl-prefix=/usr

but it still doesn't pick up libltdl. Based on the following help message:

$ ./configure --help
...
  --with-libltdl-prefix[=DIR]  search for libltdl in DIR/include and DIR/lib

I believe the problem is that CentOS installs libltdl to /usr/lib64 instead of /usr/lib:

$ ls -l /usr/lib64/libltdl.so.7*
lrwxrwxrwx 1 root root    16 Feb 27 11:19 /usr/lib64/libltdl.so.7 -> libltdl.so.7.3.0
-rwxr-xr-x 1 root root 41248 Feb 16  2016 /usr/lib64/libltdl.so.7.3.0

Do you have any suggestions as to how I can get Guile to pick up libraries installed in /usr/lib64?

Adam J. Stewart
Assistant Systems Administrator
Laboratory Computing Resource Center
Computing, Environment and Life Sciences
Argonne National Laboratory